package com.chinaitop.depot.supervise.mapper;

import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Repository
public interface TestDatasMapper {

    //根据仓房编号获取仓房温度数据
    Map<String,Object> getTempByHouseNo(Map<String,String> map);

    //获取仓温列表
    List<Map<String,Object>> getDataList(Map<String,String> map);

    //获取指定仓房的三温-首页用到
    List<Map<String,Object>> selectByHours(Map<String,Object> map);

    //获取指定仓房的三温
    List<Map<String,Object>> selectByDays(Map<String,Object> map);
    /*<select id="selectByDays" resultType="java.util.Map" parameterType="java.util.Map" >
    SELECT
    DATE_FORMAT(t.check_date, '%Y-%m-%d') jcsj,
    max(t.avg_temp) lswd,
    max(t.out_temp) cwwd,
    max(t.in_temp) cnwd
    FROM
    storage_threetempcheck t
    JOIN basic_storehouse bs ON bs.storehouse_id = t.house_id
            WHERE
    DATE_SUB(
            CURDATE(),
    INTERVAL ${dayCount} DAY
          ) &lt;= date(t.check_date)
    AND t.house_id = #{houseid,jdbcType=VARCHAR}
    AND bs.depot_id = #{orgid,jdbcType=VARCHAR}
    GROUP BY
    DATE_FORMAT(t.check_date, '%Y-%m-%d');
  </select>*/

    //给pad端提供的三温图的接口
    List<Map<String,Object>> getThreeConditionForPad(Map<String,Object> map);

    String selectHouseMaxTime(Map<String,Object> map);
}